{% extends "ajax/ajax.html.twig" %}
{%block title %}{{'Bürger! Seid auf inoffiziellen Webseiten wachsam!'|trans({}, 'global')}}{% endblock %}
{% block menu_text %}
    {{parent()}}
    <li class="back-dash" x-ajax-href="{{ url('game_landing') }}">{{ 'Zum Spiel'|trans({},'global') }}</li>
{% endblock %}
{% block ajax %}
    <div class="row external-app">
        <div class="cell padded header rw-6 ro-3 rw-lg-12 ro-lg-0">
            <h4 class="title">
                {% if ex.imageName is not null %}
                    <img alt="" src="{{ path('app_web_app_icon', { aid: ex.id, name: ex.imageName, ext: ex.imageFormat }) }}" />
                {% else %}
                    <img alt="" src="{{ asset('build/images/apps/null.gif') }}" />
                {% endif %}
                <span>{{ ex.name }}</span></h4>
            <p>
                {% trans from 'global' %}
                    Achtung! Der von dir ausgewählte Link, leitet dich auf eine <strong>nicht-offizielle Seite</strong> weiter (sprich: eine Fan- oder Spielerseite).
                {% endtrans %}
            </p>
            <ul>
                <li>
                    <span class="critical">{% trans from 'global' %}
                        Du darfst für diese Seite unter keinen Umständen dein MyHordes-Passwort verwenden!
                    {% endtrans %}</span> ({% trans from 'global' %}Auch dann nicht, wenn du dazu aufgefordert wirst!{% endtrans %})
                </li>
                {% if ex.contact is not empty %}
                {% if "@" in ex.contact %}
                    {% set uri = "mailto:" ~ ex.contact %}
                {% else %}
                    {% set uri = ex.contact %}
                {% endif %}
                <li>
                    {% trans with { '{contact}': '<a href="' ~ uri ~ '">' ~ ex.contact ~ '</a>' } from 'global' %}
                        Wenn du Fragen oder Probleme mit der Seite hast, kontaktiere bitte {contact}.
                    {% endtrans %}
                </li>
                {% endif %}
            </ul>

            {% if ex.secret is not null %}
            <p class="secure">
                <strong>{{'Diese Seite ist durch eine verschlüsselte Verbindung mit dem Spiel verbunden:'|trans({}, 'global')}}</strong>
                {{ 'Wenn du hier unten auf "Weiter" klickst wird dein Spielername automatisch erkannt, so dass du nichts weiteres mehr eingeben musst.'|trans({}, 'global') }}
            </p>
            {% endif %}

            {% if (key is not empty) or ex.linkOnly %}
                <form action="{{ ex.url }}" method="post" target="_self">
                    {% if not ex.linkOnly %}
                        <input type="hidden" name="key" value="{{ key }}">
                    {% endif %}
                    <button type="submit" class="button" style="margin-bottom: 4px;">{{ 'Weiter zu'|trans({}, 'global') }}: '{{ ex.name }}'</button>
                </form>
                {% if ex.owner is not null and app.user == ex.owner and ex.devurl is not empty and not ex.linkOnly %}
                    <form action="{{ ex.devurl }}" method="post" target="_self">
                        <input type="hidden" name="key" value="{{ key }}">
                        <button type="submit" class="button" style="margin-bottom: 4px;">{{ 'Weiter zu'|trans({}, 'global') }}: '{{ ex.name }}' [{{ 'Entwickler-URL'|trans({},'admin') }}]</button>
                    </form>
                {% endif %}
            {% else %}
                <button disabled="disabled" class="button" style="margin-bottom: 4px;">{{ 'Weiter zu'|trans({}, 'global') }}: '{{ ex.name }}'</button>
                <p><span class="critical">{% trans from 'global' %}Du hast keine Externe ID.{% endtrans %}</span> {% trans from 'global' %}Ohne diese kannst du keine externen Apps nutzen. Um eine Externe ID zu setzen, gehe in deine Seele > Einstellungen und generiere eine ID.{% endtrans %}</p>
           {% endif %}
            <button x-ajax-href="{{ path('initial_landing') }}" class="button">{{ 'Schön hier im Warmen bleiben'|trans({}, 'global') }}</button>
        </div>
    </div>

    {% if ex.owner is not null and app.user == ex.owner %}
        <div class="row external-app">
            <div class="cell padded header rw-6 ro-3 rw-lg-12 ro-lg-0">

                <h4 class="title">{{ 'Entwickler-Einstellungen'|trans({}, 'global') }}</h4>
                <p>
                    {% trans from 'global' %}
                        Als Entwickler dieser Webseite kannst du hier einige Einstellungen anpassen.
                    {% endtrans %}
                </p>

                <div class="form">
                    <div class="row">
                        <div class="cell padded rw-4 rw-md-12 note note-lightest">
                            <label for="app_email">{{ 'Kontakt'|trans({},'admin') }}</label>
                            <span class="float-right"><a class="help-button float-right">{{ 'Hilfe'|trans({},'global') }}
                            <div class="tooltip help">{{ 'Diese E-Mail Adresse wird als Kontakt-Adresse angezeigt.'|trans({},'global') }}</div>
                        </a></span>
                        </div>
                        <div class="cell padded rw-8 rw-md-12"><input id="app_email" type="text" value="{{ ex.contact }}" /></div>
                    </div>

                    <div class="row">
                        <div class="cell padded rw-4 rw-md-12 note note-lightest">
                            <label for="app_url">{{ 'URL'|trans({},'admin') }}</label>
                            <span class="float-right"><a class="help-button float-right">{{ 'Hilfe'|trans({},'global') }}
                            <div class="tooltip help">{{ 'Dies ist die URL, zu der Spieler weitergeleitet werden, wenn sie auf den Link klicken.'|trans({},'global') }}</div>
                        </a></span>
                        </div>
                        <div class="cell padded rw-8 rw-md-12"><input id="app_url" type="url" value="{{ ex.url }}" /></div>
                    </div>

                    {% if not ex.linkOnly %}
                        <div class="row">
                            <div class="cell padded rw-4 rw-md-12 note note-lightest">
                                <label for="app_dev_url">{{ 'Entwickler-URL'|trans({},'admin') }}</label>
                                <span class="float-right"><a class="help-button float-right">{{ 'Hilfe'|trans({},'global') }}
                            <div class="tooltip help">{{ 'Hier kannst du eine URL für eine Test- oder Entwicklungsumgebung hinterlegen (z.B. "localhost"). Du siehst dann einen zusätzlichen Button, der dich auf diese Umgebung weiterleitet. Diese URL sowie der zusätzliche Button sind ausschließlich für dich sichtbar.'|trans({},'global') }}</div>
                        </a></span>
                            </div>
                            <div class="cell padded rw-8 rw-md-12"><input id="app_dev_url" type="url" value="{{ ex.devurl }}" /></div>
                        </div>
                        <div class="row">
                            <div class="cell padded rw-4 rw-md-12 note note-lightest">
                                <label for="app_sk">{{ 'Schlüssel'|trans({},'admin') }}</label>
                                <span class="float-right"><a class="help-button float-right">{{ 'Hilfe'|trans({},'global') }}
                                <div class="tooltip help">
                                    {{ 'Mit diesem Schlüssel authentifiziert sich deine Webseite gegenüber MyHordes.'|trans({},'global') }}
                                    <span class="critical">{{ 'Du darfst ihn keinesfalls weitergeben oder öffentlich verfügbar machen, beispielsweise in einem Code-Repository.'|trans({},'global') }}</span>
                                    <br /><br />
                                    {{ 'Wenn du den Verdacht hast, dass dein Schlüssel kompromittiert wurde, kannst du einen neuen Schlüssel anfordern.'|trans({},'global') }}
                                </div>
                            </a></span>
                            </div>
                            <div class="cell padded rw-8 rw-md-12 right">
                                <input id="app_sk" type="text" readonly value="{{ ex.secret }}" />
                                <label><input id="app_regen" type="checkbox" /> {{ 'Schlüssel regenerieren'|trans({},'admin') }}</label>
                            </div>
                        </div>
                    {% endif %}

                    <div class="row">
                        <div class="padded cell rw-4 ro-8 rw-md-6 ro-md-6 rw-sm-12 ro-sm-0"><button id="save_btn" style="margin-top: 16px;">{{ 'Speichern'|trans({},'global') }}</button></div>
                    </div>
                </div>
            </div>
        </div>
    {% endif %}

{% endblock %}
{% block js %}
    {{ parent() }}
    <script>
        {% if ex.owner is not null and app.user == ex.owner %}

            $.html.addEventListenerAll('#save_btn','click',() => {
                $.ajax.easySend( '{{ path('soul_own_app_update', {id: ex.id}) }}', {
                        contact: document.getElementById('app_email').value,
                        url: document.getElementById('app_url').value,
                        devurl: document.getElementById('app_dev_url').value,
                        sk: document.getElementById('app_regen') ? document.getElementById('app_regen').checked : false
                    },
                    function () {
                        $.html.message('notice', '{{ 'Deine Einstellung wurde gespeichert.'|trans({},'soul')|e('js') }}')
                        $.ajax.load(null, '{{ path('disclaimer', {id: ex.id}) }}', false);
                    } );
            });

        {% endif %}
    </script>
{% endblock %}